commit:     fba4772e7c32063ba1b048e3bf08ff046acd50a6
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  8 07:59:46 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Oct  8 08:16:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fba4772e

net-misc/chrony: Version 4.0

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-misc/chrony/Manifest          |   1 +
 net-misc/chrony/chrony-4.0.ebuild | 182 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 183 insertions(+)

diff --git a/net-misc/chrony/Manifest b/net-misc/chrony/Manifest
index e5aa925ad24..7d288a588fb 100644
--- a/net-misc/chrony/Manifest
+++ b/net-misc/chrony/Manifest
@@ -1,3 +1,4 @@
 DIST chrony-3.5.1.tar.gz 459902 BLAKE2B 
503402c0dd68a340eb5ecd8b57dcb83d90124f31e8deb6e20bd1e9ed19b5dc952fa7f40a697d0d0cb77c349c9f3297dcd32265d77670a71836ba8709dcc83053
 SHA512 
489cf614bfb2c1e024343af1316c339b287ed5c7b6cec15b44ef3d90512036fb1da3fd627d291a193c59d9c5c095afa66c529eeb6fd0c1bbc8256ed8873b7984
 DIST chrony-4.0-pre3.tar.gz 539117 BLAKE2B 
f26fcac8e29322151251e60b385a815c53155f163d7ed1e1269f90f3418c59ec8f4952b1bba1203549607c63bb373cbaab17af933e02e659eced91827519bc6b
 SHA512 
e52f2454b0cbe60ab7c8975deba499f1ff2e84cd1c3d0a0fb208f11f12ca762f2d0cd74af7aacc8022e628cdeaa4ac388fdd134715cc3e274b3818d5c12da460
 DIST chrony-4.0-pre4.tar.gz 544660 BLAKE2B 
d7f25a980a8cfd9c56fdf4f8ab3dc63594a428e0a18a5bb3b93488ea4db16201e67589ac8a0d966dea4a06c7ff9c4dfa5a1adc3a77849f69d594305e5961a1c8
 SHA512 
81471682b091851f79dfe08315a016c01199b850a1cc6289a3f3d6f56df2ab415266e156900f2e9d60804197097ff8bb89bf7c8072a90a05d6f257b5368e5939
+DIST chrony-4.0.tar.gz 546939 BLAKE2B 
1d4035977be3603b34024c5c1c2aa5f2b4aca03fe7dc1eb41be2e9aeefa06e20a5f74776c50bdadaffba10ae25e7980bcbd9cf2b999bd73087728afe7a80253e
 SHA512 
a1c11a386c43f495910f7f2e9b5fbb1652c3631471d182b9b8203dfef98611d11535ad547a879856551263aed0ae2e30e4135b8ed89553684706166bc1c725c9

diff --git a/net-misc/chrony/chrony-4.0.ebuild 
b/net-misc/chrony/chrony-4.0.ebuild
new file mode 100644
index 00000000000..a13a14df678
--- /dev/null
+++ b/net-misc/chrony/chrony-4.0.ebuild
@@ -0,0 +1,182 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="NTP client and server programs"
+HOMEPAGE="https://chrony.tuxfamily.org/";
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://git.tuxfamily.org/chrony/chrony.git";
+
+       inherit git-r3
+else
+       SRC_URI="https://download.tuxfamily.org/${PN}/${P/_/-}.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="
+       +caps +cmdmon html ipv6 libedit +nettle +ntp +phc pps +refclock
+       +rtc samba +seccomp +sechash selinux
+"
+REQUIRED_USE="
+       sechash? ( nettle )
+"
+RESTRICT=test
+CDEPEND="
+       caps? ( acct-group/ntp acct-user/ntp sys-libs/libcap )
+       libedit? ( dev-libs/libedit )
+       nettle? ( dev-libs/nettle:= )
+       seccomp? ( sys-libs/libseccomp )
+"
+DEPEND="
+       ${CDEPEND}
+       html? ( dev-ruby/asciidoctor )
+       pps? ( net-misc/pps-tools )
+"
+RDEPEND="
+       ${CDEPEND}
+       selinux? ( sec-policy/selinux-chronyd )
+"
+BDEPEND="
+       nettle? ( virtual/pkgconfig )
+"
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.5-pool-vendor-gentoo.patch
+       "${FILESDIR}"/${PN}-3.5-r3-systemd-gentoo.patch
+)
+S="${WORKDIR}/${P/_/-}"
+
+if [[ ${PV} == "9999" ]]; then
+       BDEPEND+=" virtual/w3m"
+fi
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e 's:/etc/chrony\.conf:/etc/chrony/chrony.conf:g' \
+               doc/* examples/* || die
+
+       sed -i \
+               -e 's|RELOADDNS||g' \
+               -e 's|pkg-config|${PKG_CONFIG}|g' \
+               configure || die
+
+       cp "${FILESDIR}"/chronyd.conf "${T}"/chronyd.conf || die
+}
+
+src_configure() {
+       if ! use caps; then
+               sed -i \
+                       -e 's/ -u ntp//' \
+                       "${T}"/chronyd.conf examples/chronyd.service || die
+       fi
+
+       if ! use seccomp; then
+               sed -i \
+                       -e 's/ -F 0//' \
+                       "${T}"/chronyd.conf examples/chronyd.service || die
+       fi
+
+       tc-export CC PKG_CONFIG
+
+       # Note: ncurses and nss switches are mentioned in the configure script 
but
+       # do nothing
+       # not an autotools generated script
+       local myconf=(
+               $(use_enable seccomp scfilter)
+               $(usex caps '' --disable-linuxcaps)
+               $(usex cmdmon '' --disable-cmdmon)
+               $(usex ipv6 '' --disable-ipv6)
+               $(usex libedit '' --without-editline)
+               $(usex nettle '' --without-nettle)
+               $(usex ntp '' --disable-ntp)
+               $(usex phc '' --disable-phc)
+               $(usex pps '' --disable-pps)
+               $(usex refclock '' --disable-refclock)
+               $(usex rtc '' --disable-rtc)
+               $(usex samba --enable-ntp-signd '')
+               $(usex sechash '' --disable-sechash)
+               ${EXTRA_ECONF}
+               --chronysockdir="${EPREFIX}/run/chrony"
+               --docdir="${EPREFIX}/usr/share/doc/${PF}"
+               --mandir="${EPREFIX}/usr/share/man"
+               --prefix="${EPREFIX}/usr"
+               --sysconfdir="${EPREFIX}/etc/chrony"
+               --with-hwclockfile="${EPREFIX}/etc/adjtime"
+               --with-pidfile="${EPREFIX}/run/chrony/chronyd.pid"
+               --without-nss
+               --without-tomcrypt
+       )
+
+       # print the ./configure call
+       echo sh ./configure "${myconf[@]}" >&2
+       sh ./configure "${myconf[@]}" || die
+}
+
+src_compile() {
+       if [[ ${PV} == "9999" ]]; then
+               # uses w3m
+               emake -C doc man txt
+       fi
+
+       emake all docs $(usex html '' 'ADOC=true')
+}
+
+src_install() {
+       default
+
+       newinitd "${FILESDIR}"/chronyd.init-r2 chronyd
+       newconfd "${T}"/chronyd.conf chronyd
+
+       insinto /etc/${PN}
+       newins examples/chrony.conf.example1 chrony.conf
+
+       docinto examples
+       dodoc examples/*.example*
+
+       newtmpfiles - chronyd.conf <<<"d /run/chrony 0750 $(usex caps 'ntp ntp' 
'root root')"
+
+       if use html; then
+               docinto html
+               dodoc doc/*.html
+       fi
+
+       keepdir /var/{lib,log}/chrony
+
+       if use caps; then
+               # Prepare a directory for the chrony.drift file (a la ntpsec)
+               # Ensures the environment is sane on new installs
+               fowners ntp:ntp /var/{lib,log}/chrony
+               fperms 770 /var/lib/chrony
+       fi
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/chrony-2.4-r1.logrotate chrony
+
+       systemd_dounit examples/chronyd.service
+       systemd_dounit examples/chrony-wait.service
+       systemd_enable_ntpunit 50-chrony chronyd.service
+}
+
+pkg_preinst() {
+       HAD_CAPS=false
+
+       if has_version 'net-misc/chrony[caps]'; then
+               HAD_CAPS=true
+       fi
+}
+
+pkg_postinst() {
+       tmpfiles_process chronyd.conf
+
+       if [[ -n ${REPLACING_VERSIONS} ]] && use caps && ! ${HAD_CAPS}; then
+               ewarn "Please adjust permissions on 
${EROOT}/var/{lib,log}/chrony to be owned by ntp:ntp"
+               ewarn "e.g. chown -R ntp:ntp ${EROOT}/var/{lib,log}/chrony"
+               ewarn "This is necessary for chrony to drop privileges"
+       fi
+}

Reply via email to